/*
 * =====================================================================================
 *
 *       Filename:  led_display.h
 *
 *    Description:  
 *
 *        Version:  1.0
 *        Created:  28.03.2014 19:48:31
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  Lucjan Bryndza (LB), lucck(at)boff(dot)pl
 *   Organization:  BoFF
 *
 * =====================================================================================
 */
#pragma once
/* ------------------------------------------------------------------ */ 
#include <stdbool.h>
#include <stdint.h>
/* ------------------------------------------------------------------ */ 
/* Initialize the LED display  */
void displ_init(void);
/* ------------------------------------------------------------------ */
//Display deinitialization
void displ_deinit(void);
/* ------------------------------------------------------------------ */ 
//! Display string from PGMP space
//! If rpad not specified leading 0 is used instead
void displ_string( const char* str, char rpad_char );
/* ------------------------------------------------------------------ */ 
//! Display character
void displ_char( char ch, uint8_t pos );
/* ------------------------------------------------------------------ */ 
//! Set dot on selected position
void displ_set_dot( uint8_t pos, bool en );
/* ------------------------------------------------------------------ */ 
//!Enable display blinking
void displ_blink( bool en );
/* ------------------------------------------------------------------ */ 
//! Clear display
void displ_clear(void);
/* ------------------------------------------------------------------ */ 
//! Display string from PGMP space
/* ------------------------------------------------------------------ */ 
