/*
 * =====================================================================================
 *
 *       Filename:  fmeas.h
 *
 *    Description:  Frequency measurement routines
 *
 *        Version:  1.0
 *        Created:  28.03.2014 22:54:54
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  Lucjan Bryndza (LB), lucck(at)boff(dot)pl
 *   Organization:  BoFF
 *
 * =====================================================================================
 */
#pragma once
#include <stdint.h>
/* ------------------------------------------------------------------ */ 
typedef uint32_t fmeas_t;	//Fmeas frequency value
/* ------------------------------------------------------------------ */ 
//! Fmeasure initial initialization 
void fmeas_init( void );
/* ------------------------------------------------------------------ */ 
//! Start the frequency measure
void fmeas_start( void );
/* ------------------------------------------------------------------ */ 
//! Stop the frequency measure
void fmeas_stop( void );
/* ------------------------------------------------------------------ */
//! Get current counted freuency
fmeas_t fmeas_get_value(void);
/* ------------------------------------------------------------------ */
