/*
 * =====================================================================================
 *
 *       Filename:  keypad.h
 *
 *    Description:  Simple keyboard avr implementation
 *
 *        Version:  1.0
 *        Created:  29.03.2014 17:01:39
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  Lucjan Bryndza (LB), lucck(at)boff(dot)pl
 *   Organization:  BoFF
 *
 * =====================================================================================
 */
#pragma once
/* ------------------------------------------------------------------ */
#include <stdint.h>
#include <stdbool.h>
/* ------------------------------------------------------------------ */
#define KEYB_HANDLER_HZ 100
/* ------------------------------------------------------------------ */ 
//! Keyb type
typedef uint8_t keyb_t;
//! Keyb enum
enum keyb_defs {
	key_rpt = 0x80,		//! Repeat key
	key_left = 0x01,	//! Left key
	key_right = 0x02	//! Right key
};
/* ------------------------------------------------------------------ */ 
//! Initialize the keyboard stuff
void keyb_init(void);
/* ------------------------------------------------------------------ */
//! Get keyboard status
keyb_t keyb_get(void);
/* ------------------------------------------------------------------ */ 
//Return true if key is active
bool kbhit(void);
/* ------------------------------------------------------------------ */ 
