/*
 * =====================================================================================
 *
 *       Filename:  systick.h
 *
 *    Description:  Systick implememntation
 *
 *        Version:  1.0
 *        Created:  29.03.2014 17:45:10
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  Lucjan Bryndza (LB), lucck(at)boff(dot)pl
 *   Organization:  BoFF
 *
 * =====================================================================================
 */
#pragma once
/* ------------------------------------------------------------------ */ 
#include <avr/wdt.h>
#include <avr/sleep.h>
/* ------------------------------------------------------------------ */
//Display special defs
#define SYSTEM_HZ 800UL
/* ------------------------------------------------------------------ */ 
//tick def
typedef unsigned int tick_t;
/* ------------------------------------------------------------------ */ 
//Read tick
tick_t read_tick(void);
/* ------------------------------------------------------------------ */
//Check if timer elapsed
static inline int timer_elapsed(tick_t t1, tick_t timeout)
{
	tick_t t2 = read_tick();
	if( t2 >= t1)   //Not overflow
		return t2 - t1 > timeout;
	else           //Overflow
		return t1 - t2 > timeout;
}
/* ------------------------------------------------------------------ */ 
//Busy wait selected time
static inline void timer_wait(tick_t timeout)
{
	tick_t now = read_tick();
	while( !timer_elapsed( now, timeout) ) {
		wdt_reset();
		sleep_mode();
	}
}
/* ------------------------------------------------------------------ */ 
