/*
 * =====================================================================================
 *
 *       Filename:  volmeter.h
 *
 *    Description:  Voltage measure from AGC and VCC
 *
 *        Version:  1.0
 *        Created:  29.03.2014 13:25:32
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  Lucjan Bryndza (LB), lucck(at)boff(dot)pl
 *   Organization:  BoFF
 *
 * =====================================================================================
 */
#pragma once
/* ------------------------------------------------------------------ */ 
#include <stdint.h>
/* ------------------------------------------------------------------ */ 
//! Define interrupt time
#define VMTR_ADC_HZ 50
/* ------------------------------------------------------------------ */
typedef uint16_t vmtr_t;
/* ------------------------------------------------------------------ */
//! Voltage measure 
void vmtr_init( void );
/* ------------------------------------------------------------------ */ 
//! Deinitialize the voltage meter
void vmtr_deinit( void );
/* ------------------------------------------------------------------ */ 
//! Get VCC
vmtr_t vmtr_get_vcc( void );
/* ------------------------------------------------------------------ */ 
//! Get AGC
vmtr_t vmtr_get_agc( void );
/* ------------------------------------------------------------------ */ 
